/*chkCaHeps check whether CaII K and H epsilon overlap */
#include "cddefines.h"
#include "taulines.h"
#include "chkcaheps.h"

void chkCaHeps(double *totwid)
{
	double conca, 
		conalog ,
	  conhe;

#	ifdef DEBUG_FUN
	fputs( "<+>chkCaHeps()\n", debug_fp );
#	endif

	/* pumping of CaH ovelapping with Hy eps, 6-2 of H */
	if( TauLines[ipT3969].TauIn > 0. && 
		HydroLines[0][6][2].TauIn >   0. )
	{
		conca = pow(6.1e-5* TauLines[ipT3969].TauIn,0.5);
		conalog = log(TauLines[ipT3969].TauIn);
		conalog = sqrt(MAX2(1.,	conalog));
		conca = MAX2(conalog,conca);

		conalog = log(HydroLines[0][6][2].TauIn);
		conalog = sqrt(MAX2(1.,conalog));
		conhe = pow(1.7e-6*HydroLines[0][6][2].TauIn,0.5);
		conhe = MAX2(conalog, conhe);

		*totwid = 10.*conhe + 1.6*conca;
	}
	else
	{
		*totwid = 0.;
	}

#	ifdef DEBUG_FUN
	fputs( " <->chkCaHeps()\n", debug_fp );
#	endif
	return;
}

