/*FndLineHt search through line heat arrays to find the strongest heat source */
#include "cddefines.h"
#include "taulines.h"
#include "fndlineht.h"

void FndLineHt(long int *level, 
  long int *ipStrong, 
  double *Strong)
{
	long int i; 

#	ifdef DEBUG_FUN
	fputs( "<+>FndLineHt()\n", debug_fp );
#	endif

	*Strong = 0.;
	*level = 0;

	/* do the level 1 lines */
	for( i=1; i <= nLevel1; i++ )
	{
		/* check if a line was the major heat agent */
		if( TauLines[i].heat > (float)(*Strong) )
		{
			*ipStrong = i;
			*level = 1;
			*Strong = TauLines[i].heat;
		}
	}

	/* now do the level 2 lines */
	for( i=0; i < nWindLine; i++ )
	{
		/* check if a line was the major heat agent */
		if( TauLine2[i].heat > (float)(*Strong) )
		{
			*ipStrong = i;
			*level = 2;
			*Strong = TauLine2[i].heat;
		}
	}

#	ifdef DEBUG_FUN
	fputs( " <->FndLineHt()\n", debug_fp );
#	endif
	return;
}

