/*ionzer zero out heating and charge transfer save arrays */
#include "cddefines.h"
#include "heating.h"
#include "charexc.h"
#include "ionzer.h"

void ionzer(long int nelem)
{
	long int i;

#	ifdef DEBUG_FUN
	fputs( "<+>ionzer()\n", debug_fp );
#	endif

	/* heating array, but only for direct photoionization */
	for( i=0; i < nelem; i++ )
	{
		HeatingCom.heating[i][nelem-1] = 0.;
	}

	/* zero out ionization balance arrays */
	for( i=0; i < LIMELM; i++ )
	{
		CharExc.CTHeavy[0][i] = 0.;
		CharExc.CTHeavy[1][i] = 0.;
	}

#	ifdef DEBUG_FUN
	fputs( " <->ionzer()\n", debug_fp );
#	endif
	return;
}

