/*MakeRT drive static or wind metal line radiative transfer,
 * if argument is TRUE then do both escape and deEXTERN struction probs,
 * if false only update deEXTERN struction probabilities.  routine only
 * called by cloudy(TRUE) and ionize(FALSE) */
void RTMake(int);

/* in following two the logical variable says whether to do the
 * escape probs too (TRUE) or just the deEXTERN struction probs (FALSE) */

/*RTMakeStat do line radiative transfer for static geometry */
void RTMakeStat(EmLine * t , 
	int lgDoEsc );

/*RTMakeWind do line radiative transfer for wind geometry */
void RTMakeWind(EmLine * t ,
	int lgDoEsc );

/*RTDiffuse fill in DiffCont and ThrowOut arrays, with diffuse emission for this zone */
void RTDiffuse(void);

/*HeMetalOTS compute diffuse fields due to helium atom, metals,
 * hydro done in HydroOTS */
void RT_OTS(void);

/*RTAddOTSLin add local destruction of lines to ots field */
void RTAddOTSLin(float ots, 
	/* pointer on the f scale */
  long int ip );

/*add local destruction of continuum to ots field */
void RTAddOTSCon(
					/* the ots rate itself */
					float ots, 
					/* pointer to continuum cell for ots, on f scale */
					long int ip);

/*RTLineTauInc increment optical depths for all heavy element lines, zone by zone */
void RTLineTauInc(EmLine * t );

/*RTOptDepthInit set initial outward optical depths at start of first iteration */
void RTOptDepthInit(void);

/*RTOptDepthReset update total optical depth scale, called after iteration is complete */
void RTOptDepthReset(void);

/*RTOptDepthIncre increment optical depths once per zone, called after RadInc */
void RTOptDepthIncre(void);
